AttCertValidityPeriod (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.x509

## Class AttCertValidityPeriod

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.AttCertValidityPeriod

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class AttCertValidityPeriod
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttCertValidityPeriod(ASN1GeneralizedTime notBeforeTime, ASN1GeneralizedTime notAfterTime)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AttCertValidityPeriod` | `getInstance(java.lang.Object obj)`
    `ASN1GeneralizedTime` | `getNotAfterTime()`
    `ASN1GeneralizedTime` | `getNotBeforeTime()`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttCertValidityPeriod

          public AttCertValidityPeriod(ASN1GeneralizedTime notBeforeTime,
                                       ASN1GeneralizedTime notAfterTime)

      Parameters:
        `notBeforeTime` -
        `notAfterTime` -

  - ### Method Detail

    - #### getInstance

          public static AttCertValidityPeriod getInstance(java.lang.Object obj)

    - #### getNotBeforeTime

          public ASN1GeneralizedTime getNotBeforeTime()

    - #### getNotAfterTime

          public ASN1GeneralizedTime getNotAfterTime()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.

            AttCertValidityPeriod  ::= SEQUENCE {
                 notBeforeTime  GeneralizedTime,
                 notAfterTime   GeneralizedTime
            }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.